<?php
// STDOUT を書き込みモードで開きます。
$handle = fopen("php://stdout", 'w');

$future = \parallel\run(
    function ($fd) {
        $resource = fopen("php://fd/{$fd}", "w");

        // resource 型に戻っているかを確認する
        var_dump($resource);

        // リソースに書き込んでみます。
        fwrite(
            $resource,
            "タスクから Hello World!\n"
        );
    },
    [$handle]
);


// future が正常に終了するまで待機します。
$future->value();