<?php
// output を開きます。
$handle = stream_socket_server("tcp://0.0.0.0:30000");

// タスクのスコープ外で出力をしてみます。
var_dump($handle);

// 値を送るためのタスク future1 を作成します。
$future = \parallel\run(
    function ($fd) {
        echo "ファイルディスクリプタは {$fd} です\n";
    },
    [$handle]
);

// future が正常に終了するまで待機します。
$future->value();