<?php
// サーバーを開きます。
$handle = stream_socket_server("tcp://0.0.0.0:30000");

$client = stream_socket_accept($handle);

// タスクのスコープ外で出力をしてみます。
var_dump($handle);
var_dump($client);

// 値を送るためのタスク future1 を作成します。
$future = \parallel\run(
    function ($fd1, $fd2) {
        echo "サーバーのファイルディスクリプタは {$fd1} です\n";
        echo "クライアントのファイルディスクリプタは {$fd2} です\n";
    },
    [$handle, $client]
);

// future が正常に終了するまで待機します。
$future->value();