<?php
require __DIR__ . '/vendor/autoload.php';

// 処理時間を計測する
$start = microtime(true);

$client = new \GuzzleHttp\Client();

$promises = [];

// 5回実行する
for ($i = 0; $i < 5; $i++) {
    $promises[] = $client
        ->requestAsync('GET', 'https://gihyo.jp/')
        ->then(function (\GuzzleHttp\Psr7\Response $result) {
            assert((string) $result->getBody() !== '');
        });
}

foreach ($promises as $promise) {
    $promise->wait();
}

echo '処理時間:' . (microtime(true) - $start) . " 秒\n";
