<?php
$server = new Swoole\WebSocket\Server('127.0.0.1', 8080, SWOOLE_PROCESS);

// message コールバックを指定します
$server->on(
    'message',
    function (\Swoole\Server $server, \Swoole\WebSocket\Frame $frame) {
        echo "メッセージを受信しました: {$frame->data}\n";

        $server->push(
            $frame->fd,
            "Swoole から Hello World!"
        );
    }
);

// イベントループを起動させます。
$server->start();