<!DOCType html>
<html>
<head>
    <meta charset="UTF-8">
    <title>ユーザー登録</title>
</head>
<body>
    <h1>トップページ</h1>
    <form action="/register" method="POST" enctype="multipart/form-data">
        <?php if ($error_code === 1): ?>
            <p style="color: #FF0000">送信されたパラメータが不正です。</p>
        <?php elseif ($error_code === 2): ?>
            <p style="color: #FF0000">パスワードは英数字で8文字以上で入力してください。</p>
        <?php elseif ($error_code === 3): ?>
            <p style="color: #FF0000">既に登録済みのユーザーです。</p>
        <?php endif ?>
        <dl>
            <dt>ユーザー名</dt>
            <dd><input type="text" name="name" /></dd>
            <dt>パスワード</dt>
            <dd><input type="password" name="password" /></dd>
            <dt>アバター画像</dt>
            <dd><input type="file" name="avatar" /></dd>
        </dl>
        <button type="submit">ユーザー登録</button>
    </form>
</body>
</html>
