<?php
$path = __DIR__ . '/file_version.log';

while (true) {
    // ファイルを開く
    $handle = fopen(__DIR__ . '/access_data.log', 'r+');
    $currentVersion = file_get_contents($path);

    // 値を取得する
    $currentCount = (int) rtrim(fgets($handle));

    // ファイルポインタを一番最初に置く
    rewind($handle);

    // 前の値を確認する
    $checkVersion = file_get_contents($path);

    if ($checkVersion === $currentVersion) {
        // バージョンを上げる
        file_put_contents($path, $currentVersion + 1);

        // 0 に切り詰める
        ftruncate($handle, 0);

        // + 1 した値を書き込む
        fwrite($handle, $currentCount + 1);

        // 処理を終える
        break;
    } else {
        echo "書き込みに失敗しました\n";
        // クローズする
        fclose($handle);

        // 数秒待ってから確認する
        usleep(100);
    }
}
