<?php
require __DIR__ . '/../../../vendor/autoload.php';
$param1 = 'Hello';
$param2 = 'World!';

\Swoole\Timer::tick(
// 時間を指定します (マイクロ秒)
    1000,

    // 指定した時間が経ったタイミングで実行するコールバック関数を指定します。
    function ($timerId, $param1, $param2) {
        static $i = 0;
        echo "{$param1} {$param2}\n";

        // $i を 1 増やします。
        $i++;

        //
        if ($i == 3) {
            \Swoole\Timer::clear($timerId);
            return;
        }
    },

    // コールバック関数に渡すパラメータを指定します。
    $param1,
    $param2
);

echo "先に出力されます。\n";

// タイマーの実行を継続するために `Swoole\Event::wait` を実行します。
\Swoole\Event::wait();

echo "タイマー実行後に出力されます。\n";