<?php

\Swoole\Runtime::enableCoroutine();

// チャネルのインスタンスを定義する
$channel = new \Swoole\Coroutine\Channel(32);

Co\run(function () use ($channel) {
    // チャネルに書き込む
    go(function () use ($channel) {
        $channel->push(null);
        $channel->push(false);
    });

    // チャネルから読み込む
    go(function () use ($channel) {
        // 書き込まれるまで待つ
        usleep(100);

        // 書き込んだものを取得する
        while (! $channel->isEmpty()) {
            // pop してくる
            $data = $channel->pop();
            var_dump($data);
        }
        echo "\n";
    });
});

