<?php
$server = new Swoole\WebSocket\Server(
    // 接続を待機するためのホストを 127.0.0.1 (ローカルホスト) に設定します。
    '127.0.0.1',

    // 接続を待機するためのポートを 8080 にします。
    8080,

    // サーバーを起動するモードを選択します。
    SWOOLE_PROCESS
);

// message コールバックを指定します
$server
    ->on(
        // 起動時に
        'open',
        function (\Swoole\Server $server, \Swoole\WebSocket\Frame $frame) {
            $server->push(
                $frame->fd,
                "Swoole から Hello World!"
            );
        }
    );

// TCP を有効にしたい場合
$server->addlistener(
// 接続を待機するためのホストを 127.0.0.1 (ローカルホスト) に設定する
    '127.0.0.1',

    // 接続を待機するためのポートを 8080 する
    12000,

    // TCP サーバーを有効にする
    SWOOLE_SOCK_TCP
);


//// UDP を有効にしたい場合
//$server->addlistener(
//// 接続を待機するためのホストを 127.0.0.1 (ローカルホスト) に設定する
//    '127.0.0.1',
//
//    // 接続を待機するためのポートを 8080 する
//    12001,
//
//    // UDP サーバーを有効にする
//    SWOOLE_SOCK_UDP
//);
//
//

$server->start();
